	character*133 dis,err
	byte b(133)
	character*30 f1,f2
	logical logi
	equivalence (dis,b)
	k=iargc()
	if(k.lt.2)then
	  write(*,*)' usage del3 getcat.tmp getcat.cat'
	  stop
	endif
        call getarg(1,f1)
        call getarg(2,f2)
        inquire(file=f1,exist=logi)
        if(.not.logi)stop 'file not found !'
	open(1,file=f1,status='old')
	open(2,file=f2,status='unknown')
	read(1,'(a)',end=100)dis
	write(2,'(a)')dis
10	do 9 i=1,133
9	b(i)=32
	read(1,'(a)',end=100)dis
	if(dis(3:3).eq.'c')goto 10
	read(1,'(a)')err
	k=0	
	do 91 i=1,16
	j=36+i*6
91	if(b(j).ne.32)k=k+1
	if(k.ge.3)write(2,'(a)')dis(1:lnblnk(dis))
	if(k.ge.3)write(2,'(a)')err(1:lnblnk(err))
	goto 10
100	close(1)
	close(2)
	end
